/// <reference types="node" />
/**
 * Convert data to a dancing QR code (animated GIF).
 *
 * @param data - Data to convert.
 * @param opts - Options for conversion.
 */
export declare function encode(data: string | Buffer, { bytesPerFrame, delayPerFrame }?: {
    bytesPerFrame?: number;
    delayPerFrame?: number;
}): Promise<{
    gif: Buffer;
    frameCount: number;
}>;
/**
 * Convert dancing QR code (animated GIF) to data.
 *
 * @param image - Animated GIF to convert.
 */
export declare function decode(image: Buffer): Promise<Buffer>;
