"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_extra_1 = __importDefault(require("fs-extra"));
const relaxed_json_1 = __importDefault(require("relaxed-json"));
const _1 = require("./");
let original;
function test_generate() {
    return __awaiter(this, void 0, void 0, function* () {
        const data = JSON.stringify(relaxed_json_1.default.parse((yield fs_extra_1.default.readFile('./test4')).toString()));
        original = data;
        const { gif, frameCount } = yield _1.encode(data, { bytesPerFrame: 500, delayPerFrame: 200 });
        yield fs_extra_1.default.writeFile('qr.gif', gif);
        console.log(`${frameCount} frames generated.`);
    });
}
function test_binary() {
    return __awaiter(this, void 0, void 0, function* () {
        const data = yield fs_extra_1.default.readFile('./test4.bz2');
        original = data;
        const { gif, frameCount } = yield _1.encode(data, { bytesPerFrame: 500, delayPerFrame: 200 });
        yield fs_extra_1.default.writeFile('qr.gif', gif);
        console.log(`${frameCount} frames generated.`);
    });
}
function test_read() {
    return __awaiter(this, void 0, void 0, function* () {
        const file = yield fs_extra_1.default.readFile('./qr.gif');
        return _1.decode(file);
    });
}
function run() {
    return __awaiter(this, void 0, void 0, function* () {
        console.log('running');
        yield test_generate();
        const res = yield test_read();
        if (res.toString('binary') !== original) {
            console.log('different!');
        }
        else {
            console.log('same!');
        }
    });
}
run();
//# sourceMappingURL=test.js.map